Delete an asset (removes the object from storage)
DELETE /api/assets/{id}. Delete an asset (removes the object from storage). Headless LMS Assets API reference.
Path Parameters
id*string
Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/assets/string"null{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Get an asset's metadata GET
GET /api/assets/{id}. Get an asset's metadata. Headless LMS Assets API reference.
Get a short-lived presigned URL to download/serve an asset POST
POST /api/assets/{id}/download-url. Get a short-lived presigned URL to download/serve an asset. Headless LMS Assets API reference.